﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace Test.Chartreport.Xaml
{
    /// <summary>
    /// Interaction logic for ChartControl.xaml
    /// </summary>
    public partial class ChartControl : UserControl, INotifyPropertyChanged
    {

        private List<Tuple<DateTime, double>> _DummyData;
        public List<Tuple<DateTime, double>> DummyData
        {
            get { return _DummyData; }
            set
            {
                if (value != _DummyData)
                {
                    _DummyData = value;
                    NotifyPropertyChanged("DummyData");
                }
            }
        }

        #region INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion

        public ChartControl()
        {
            InitializeComponent(); 
            var r = new Random();
            DummyData = Enumerable.Range(1, 100).Select(i => new Tuple<DateTime, double>(
                                                                 DateTime.Today.AddDays(i),
                                                                 100 + r.Next(i))).ToList();

            (xamDataChart1.Axes["xmXAxis"] as CategoryXAxis).ItemsSource = DummyData;
            xamDataChart1.Series.Add(new LineSeries()
            {
                MarkerType = MarkerType.None,
                Thickness = 1,
                ItemsSource = DummyData,
                ValueMemberPath = "Item2",
                XAxis = (xamDataChart1.Axes["xmXAxis"] as CategoryXAxis),
                YAxis = (xamDataChart1.Axes["xmYAxisPrice"] as NumericYAxis)
            });
        }
    }
}
